Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.keyvalue
Class AbstractKeyValue

    java.lang.Object
      |
      +--org.apache.commons.collections.keyvalue.AbstractKeyValue

All Implemented Interfaces:
  KeyValue

Direct Known Subclasses:
  AbstractMapEntry, DefaultKeyValue

public abstract class AbstractKeyValue
extends Object
implements KeyValue

Abstract pair class to assist with creating KeyValue and MapEntry implementations.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.3 $ $Date: 2004/02/18 01:00:08 $
Author:
  James Strachan, Michael A. Smith, Neil O'Toole, Stephen Colebourne

Field Summary
`protected Object` | `key` The key
`protected Object` | `value` The value

Constructor Summary
`protected` | `AbstractKeyValue(Object key, Object value)` Constructs a new pair with the specified key and given value.

Method Summary
`Object` | `getKey()` Gets the key from the pair.
`Object` | `getValue()` Gets the value from the pair.
`String` | `toString()` Gets a debugging String view of the pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected Object key

  The key

### value

    protected Object value

  The value

Constructor Detail

### AbstractKeyValue

    protected AbstractKeyValue(Object key,
                               Object value)

  Constructs a new pair with the specified key and given value.

Parameters:
  `key` - the key for the entry, may be null
  `value` - the value for the entry, may be null

Method Detail

### getKey

    public Object getKey()

  Gets the key from the pair.

  Specified by:
    `getKey` in interface `KeyValue`
  Returns:
    the key

### getValue

    public Object getValue()

  Gets the value from the pair.

  Specified by:
    `getValue` in interface `KeyValue`
  Returns:
    the value

### toString

    public String toString()

  Gets a debugging String view of the pair.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String view of the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.